export interface IBipartiteGraphMatching {
    /**
     * Initialize the algorithm.
     * @param N total node ids start from 0.
     */
    init(N: number): void;
    /**
     * Add an edge in the bipartite graph.
     * @param u
     * @param v
     */
    addEdge(u: number, v: number): void;
    /**
     * @returns maximum matching number of pairs in a bipartite graph.
     */
    maxMatch(): number;
    /**
     * Check whether if exists a perfect match.
     */
    perfectMatch(): boolean;
}
/**
 * @see https://me.guanghechen.com/post/algorithm/graph/bipartite-graph/
 */
export declare function createBipartiteGraphMatching(): IBipartiteGraphMatching;
